package com.example.pda.ui

import androidx.compose.foundation.layout.*
import androidx.compose.material3.*
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.foundation.clickable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.unit.dp


import com.example.pda.R
import com.example.pda.model.AppPrefs
import com.example.pda.network.HttpClient

@OptIn(ExperimentalMaterial3Api::class)
@Composable
fun SettingScreen(
    onPingScreen: () -> Unit
) {

    Scaffold(
        topBar = {
            TopAppBar(
                title = {
                    Row(verticalAlignment = Alignment.CenterVertically) {
                        Icon(
                            painter = painterResource(id = R.drawable.logo),
                            contentDescription = "PDA Logo",
                            modifier = Modifier.size(40.dp),
                            tint = MaterialTheme.colorScheme.surfaceTint
                        )
                        Spacer(Modifier.width(8.dp))
                        Text("信泰PDA扫描系统")
                    }
                },
                colors = TopAppBarDefaults.topAppBarColors(
                    containerColor = Color(0xFFBCD0C5), // 自定义定义
                    titleContentColor = MaterialTheme.colorScheme.onPrimary,
                    actionIconContentColor = MaterialTheme.colorScheme.onPrimary
                )
            )
        },
    ) { innerPadding ->
        Column(
            modifier = Modifier
                .padding(innerPadding)
                .fillMaxSize()
        ) {
            // 扫描提示区域
            Box(
                modifier = Modifier
                    .fillMaxWidth()
                    .clickable(enabled = true, onClick = { onPingScreen() }),
                contentAlignment = Alignment.Center
            ) {
                Text(text = "ping监测")
            }
            Text(

                text = "ping监测${AppPrefs.username}"
            )

        }
    }
}
